package com.ynet.life.sujrb.cache.memcached;

import com.danga.MemCached.MemCachedClient;
import com.danga.MemCached.SockIOPool;
import com.ynet.life.base.LifeStandard;
import com.ynet.life.base.Trace;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.util.Properties;

/* loaded from: com_ynet_life_sujrb_cache_memcached.jar:com/ynet/life/sujrb/cache/memcached/LifeMemcachedService.class */
public class LifeMemcachedService {
    private SockIOPool pool;
    private static LifeMemcachedService instance = null;
    private static MemCachedClient mc = null;

    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Type inference failed for: r0v10 */
    /* JADX WARN: Type inference failed for: r0v11, types: [java.io.IOException] */
    /* JADX WARN: Type inference failed for: r0v13, types: [java.io.FileInputStream] */
    /* JADX WARN: Type inference failed for: r0v6, types: [java.util.Properties] */
    /* JADX WARN: Type inference failed for: r0v80, types: [java.lang.String] */
    /* JADX WARN: Type inference failed for: r0v81, types: [java.io.IOException] */
    /* JADX WARN: Type inference failed for: r0v82, types: [java.io.FileInputStream] */
    /* JADX WARN: Type inference failed for: r0v9, types: [java.io.IOException, java.io.FileInputStream] */
    private LifeMemcachedService() {
        this.pool = null;
        String rootPath = LifeStandard.getRootPath();
        FileInputStream in = null;
        try {
            String path = String.valueOf(rootPath) + "WEB-INF/properties/memcached.properties";
            in = new FileInputStream(path);
        } catch (FileNotFoundException e) {
            Trace.logError("CacheServiceLog", e.getMessage(), e);
        }
        ?? properties = new Properties();
        try {
            try {
                properties.load(in);
                String serverList = properties.getProperty("serverList");
                String poolName = properties.getProperty("poolName");
                String[] servers = serverList.split(",");
                Integer[] weights = {3, 3, 2};
                int initConn = Integer.parseInt(properties.getProperty("initConn"));
                int minConn = Integer.parseInt(properties.getProperty("minConn"));
                int maxConn = Integer.parseInt(properties.getProperty("maxConn"));
                int maintSleep = Integer.parseInt(properties.getProperty("maintSleep"));
                int socketTO = Integer.parseInt(properties.getProperty("socketTO"));
                int socketConnectTO = Integer.parseInt(properties.getProperty("sockConnectTO"));
                int maxIdle = Integer.parseInt(properties.getProperty("maxIdle"));
                boolean nagle = Boolean.parseBoolean(properties.getProperty("nagle"));
                boolean aliveCheck = Boolean.parseBoolean(properties.getProperty("aliveCheck"));
                boolean failover = Boolean.parseBoolean(properties.getProperty("failover"));
                this.pool = SockIOPool.getInstance(poolName);
                this.pool.setServers(servers);
                this.pool.setWeights(weights);
                this.pool.setFailover(failover);
                this.pool.setInitConn(initConn);
                this.pool.setMinConn(minConn);
                this.pool.setMaxConn(maxConn);
                this.pool.setMaxIdle(maxIdle);
                this.pool.setMaintSleep(maintSleep);
                this.pool.setNagle(nagle);
                this.pool.setSocketTO(socketTO);
                this.pool.setSocketConnectTO(socketConnectTO);
                this.pool.setAliveCheck(aliveCheck);
                this.pool.initialize();
                properties = "CacheServiceLog";
                Trace.log("CacheServiceLog", "memcached服务器初始化成功!");
                try {
                    properties = in;
                    properties.close();
                } catch (IOException e2) {
                    properties.printStackTrace();
                }
            } catch (Throwable th) {
                try {
                    properties = in;
                    properties.close();
                } catch (IOException e3) {
                    properties.printStackTrace();
                }
                throw th;
            }
        } catch (Exception e4) {
            Trace.log("CacheServiceLog", "memcached服务器初始化失败!");
            e4.printStackTrace();
            ?? r0 = in;
            try {
                r0.close();
            } catch (IOException e5) {
                r0.printStackTrace();
            }
        }
    }

    public static synchronized LifeMemcachedService getInstance() {
        if (instance == null) {
            instance = new LifeMemcachedService();
        }
        return instance;
    }

    public synchronized MemCachedClient getMemCachedClient() {
        if (mc == null) {
            mc = new MemCachedClient();
        }
        return mc;
    }

    protected void finalize() {
        if (this.pool != null) {
            this.pool.shutDown();
        }
    }
}
